## org.eclipse.datatools.modelbase.sql.schema.impl
Class CommentImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.CommentImpl

All Implemented Interfaces:
  Comment

    public class CommentImpl

extends EObjectImpl
implements Comment

An implementation of the model object 'Comment'.

The following features are implemented:

- `Description`
- `SQL Object`

Method Summary
`SQLObject` `basicGetSQLObject()`
`NotificationChain` `basicSetSQLObject(SQLObject newSQLObject, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`java.lang.String` `getDescription()`
`SQLObject` `getSQLObject()`
`void` `setDescription(java.lang.String newDescription)`
`void` `setSQLObject(SQLObject newSQLObject)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `Comment`
  Returns:
    the value of the 'Description' attribute.
  See Also:
    `Comment.setDescription(String)`, `SQLSchemaPackage.getComment_Description()`

### setDescription

    public void setDescription(java.lang.String newDescription)

  Specified by:
    `setDescription` in interface `Comment`
  Parameters:
    `newDescription` - the new value of the 'Description' attribute.
  See Also:
    `Comment.getDescription()`

### getSQLObject

    public SQLObject getSQLObject()

  Specified by:
    `getSQLObject` in interface `Comment`
  Returns:
    the value of the 'SQL Object' reference.
  See Also:
    `Comment.setSQLObject(SQLObject)`, `SQLSchemaPackage.getComment_SQLObject()`, `SQLObject.getComments()`

### basicGetSQLObject

    public SQLObject basicGetSQLObject()

### basicSetSQLObject

    public NotificationChain basicSetSQLObject(SQLObject newSQLObject,
                                               NotificationChain msgs)

### setSQLObject

    public void setSQLObject(SQLObject newSQLObject)

  Specified by:
    `setSQLObject` in interface `Comment`
  Parameters:
    `newSQLObject` - the new value of the 'SQL Object' reference.
  See Also:
    `Comment.getSQLObject()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.